Bug 1115152 - Cannot edit or create block storage domain when using jsonrpc
Summary: Cannot edit or create block storage domain when using jsonrpc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm-jsonrpc-java
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Petr Kubica
URL:
Whiteboard: infra
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-01 17:43 UTC by Nir Soffer
Modified: 2016-02-10 19:30 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:32:53 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine log (119.92 KB, application/x-xz)
2014-07-01 17:53 UTC, Nir Soffer
no flags Details
vdsm log (140.06 KB, application/x-xz)
2014-07-01 17:54 UTC, Nir Soffer
no flags Details
engine log from test day 2 (508.81 KB, application/x-xz)
2014-07-29 23:23 UTC, Nir Soffer
no flags Details
vdsm log from test day 2 (585.34 KB, application/x-xz)
2014-07-29 23:24 UTC, Nir Soffer
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28437 master MERGED jsonrpc: Stomp client fails for multi frame messages without ssl Never
oVirt gerrit 30917 master MERGED Buffer overflow in ssl Never

Description Nir Soffer 2014-07-01 17:43:28 UTC
Description of problem:

When using jsonrpc creating new storage domain or editing one is not possible, because getDeviceList response is cannot be parsed.

On the engine side, we see this failure:

2014-07-01 20:23:12,194 WARN  [org.ovirt.vdsm.jsonrpc.client.internal.ResponseWorker] (ResponseWorker) Exception thrown during message processing: org.codehaus.jackson.JsonParseException: Unexpected end-of-input within/between OBJECT entries

Version-Release number of selected component (if applicable):
vdsm-4.16.0-28.git981aad7.fc19.x86_64
3.5.0-0.0.master.20140630172346.git994996b.fc19

How reproducible:
Always

Steps to Reproduce - 1:
1. Click "New Domain"
2. Select Data/iSCSI
3. Wait forever

Steps to Reproduce - 2:
1. Select a domain in the storage tab
2. Click "Edit"
3. Wait forever

Comment 1 Nir Soffer 2014-07-01 17:52:25 UTC
This may be vdsm or jsonrpc-java bug - lets check first that vdsm is returning correct response, if it does, the component should change to jsonrpc-java.

Comment 2 Nir Soffer 2014-07-01 17:53:03 UTC
Created attachment 913842 [details]
engine log

Comment 3 Nir Soffer 2014-07-01 17:54:18 UTC
Created attachment 913843 [details]
vdsm log

Comment 4 Piotr Kliczewski 2014-07-02 14:29:56 UTC
I tried to recreate issue with the latest engine and vdsm. 

1. Configured iscsi target on my f20 by using: http://fedoraproject.org/wiki/Scsi-target-utils_Quickstart_Guide
2. Added host with jsonrpc
3. Added new domain  Data/ISCSI
4. Selected a domain in the storage tab

I can see it working without any exceptions. Can you please retest with the latest and give access to environment if it still fails?

Comment 5 Nir Soffer 2014-07-02 14:37:33 UTC
It works for you becasue you have one domain. Here I have 30 storage domains, which creates bigger input as you can see in vdsm and engine log attached.

Comment 6 Nir Soffer 2014-07-03 14:23:10 UTC
Note that patch mention working without ssl but my system are using ssl.

Comment 7 Piotr Kliczewski 2014-07-03 14:52:37 UTC
Correct but the issue is related as it is marked in commit message.

Comment 8 Nir Soffer 2014-07-29 23:15:55 UTC
I tested this again with version oVirt Engine Version: 3.5.0-0.0.master.20140722232056.git8e1babc.fc19 and getDeviceList still broken.

See new vdsm and engine logs.

Comment 9 Nir Soffer 2014-07-29 23:23:24 UTC
Created attachment 922387 [details]
engine log from test day 2

Comment 10 Nir Soffer 2014-07-29 23:24:12 UTC
Created attachment 922388 [details]
vdsm log from test day 2

Comment 11 Allon Mureinik 2014-07-30 06:32:29 UTC
(In reply to Nir Soffer from comment #8)
> I tested this again with version oVirt Engine Version:
> 3.5.0-0.0.master.20140722232056.git8e1babc.fc19 and getDeviceList still
> broken.
> 
> See new vdsm and engine logs.
Moving back to assigned based on this comment.

Comment 12 Piotr Kliczewski 2014-07-30 09:13:07 UTC
The issue exists only for encrypted communication.

Comment 13 Sandro Bonazzola 2014-10-17 12:32:53 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.